> ## Documentation Index
> Fetch the complete documentation index at: https://docs.p2p.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Wallet

> Create a wallet for a given address and chain.



## OpenAPI

````yaml openapi/defi-api.json POST /api/defi/v1/wallets
openapi: 3.0.3
info:
  title: DeFi API
  version: 1.0.0
servers:
  - url: https://edge.p2p.org
security:
  - ClientHash: []
  - ApiKey: []
tags:
  - name: Earning
  - name: Positions
  - name: Rewards
  - name: Transactions
  - name: Wallets
paths:
  /api/defi/v1/wallets:
    post:
      tags:
        - Wallets
      summary: Create Wallet
      description: Create a wallet for a given address and chain.
      operationId: create_wallet
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - address
                - chain
              properties:
                address:
                  type: string
                  description: User address.
                chain:
                  type: string
                  enum:
                    - base
                    - ethereum
                    - avail-mainnet
                    - near
                    - polkadot
                    - solana-mainnet
                    - ton-mainnet
      responses:
        '200':
          description: Wallet created.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: string
                    example: OK
                  error:
                    nullable: true
                    default: null
                  meta:
                    $ref: '#/components/schemas/ResponseMeta'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: CreateWalletFailedException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ResponseMeta:
      type: object
      properties:
        time:
          type: integer
        requestId:
          type: string
          format: uuid
    ErrorResponse:
      type: object
      properties:
        result:
          nullable: true
          default: null
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
            validationErrors:
              type: array
              items:
                type: object
        meta:
          $ref: '#/components/schemas/ResponseMeta'
  securitySchemes:
    ClientHash:
      type: apiKey
      in: header
      name: X-Client-Hash
    ApiKey:
      type: apiKey
      in: header
      name: apikey

````

## Related topics

- [Create Staking Request](/reference/ton-staking-single-nominator-stake.md)
- [TON](/docs/unified-api-ton.md)
- [Withdrawal](/docs/withdrawal-ton.md)
- [Getting Started](/docs/staking-ton.md)
